Confluence
  1. Confluence
  2. CONF-10627

Base standalone distribution on Tomcat 6

    Details

    • Type: New Feature New Feature
    • Status: Closed
    • Resolution: Fixed
    • Affects Version/s: 2.7.1
    • Fix Version/s: 2.10
    • Labels:
      None
    • Last commented by user?:
      true

      Description

      Tomcat 6.0

      Apache Tomcat 6.x. Apache Tomcat 6.x is the current focus of development. It builds upon the improvements made in Tomcat 5.5.x and implements the Servlet 2.5 and JSP 2.1 specifications. In addition to that, it includes the following improvements:

      • Memory usage optimizations
      • Advanced IO capabilities
      • Refactored clustering

        Issue Links

          Activity

          Hide
          Christopher Owen [Atlassian] added a comment -

          Is this a request to ship Tomcat 6 with the standalone?

          Show
          Christopher Owen [Atlassian] added a comment - Is this a request to ship Tomcat 6 with the standalone?
          Hide
          Ruben Miranda added a comment -

          How about just support it, period? We really don't know if Confluence even works with Servlet 2.5 and JSP 2.1.

          Show
          Ruben Miranda added a comment - How about just support it, period? We really don't know if Confluence even works with Servlet 2.5 and JSP 2.1.
          Hide
          Ivan Benko [Atlassian] added a comment -

          It is a request to fully support Tomcat 6 and perhaps in the future considering shipping it with Confluence.
          Yet first, lets just support it
          Ib

          Show
          Ivan Benko [Atlassian] added a comment - It is a request to fully support Tomcat 6 and perhaps in the future considering shipping it with Confluence. Yet first, lets just support it Ib
          Hide
          Andy Brook (Javahollic Software) added a comment -

          I'd be interested to know if anyone got this working with LDAP defined in atlassian-user, currently I'm not able to use Tomcat6 with a WAR that is known-good, and works fine in Jboss4.x

          Show
          Andy Brook (Javahollic Software) added a comment - I'd be interested to know if anyone got this working with LDAP defined in atlassian-user, currently I'm not able to use Tomcat6 with a WAR that is known-good, and works fine in Jboss4.x
          Hide
          Daniel Petzen added a comment -

          I would really appreciate if you could confirm that Tomcat 6 is supported. We're about to engineer a build of the latest version and I'd definitely like to use Tomcat 6.

          Show
          Daniel Petzen added a comment - I would really appreciate if you could confirm that Tomcat 6 is supported. We're about to engineer a build of the latest version and I'd definitely like to use Tomcat 6.
          Hide
          Charles Miller [Atlassian] added a comment -

          Tomcat 6 will be packaged with the Confluence 2.10 standalone

          Show
          Charles Miller [Atlassian] added a comment - Tomcat 6 will be packaged with the Confluence 2.10 standalone

            People

            • Votes:
              5 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Last commented:
                5 years, 33 weeks, 6 days ago